<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent">
    <include layout="@layout/title_white_bar"
        android:id="@+id/title"/>


        <com.amap.api.maps.MapView
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="0.5"
            android:id="@+id/map"/>

        <com.ruffian.library.widget.RRelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="0.5"
            app:corner_radius_top_left="@dimen/dp_12"
            app:corner_radius_top_right="@dimen/dp_12"
            app:background_normal="@color/white"
            android:layout_gravity="bottom"
            >

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
                android:id="@+id/ll_data"
                android:layout_above="@+id/ll_btn">
                <include layout="@layout/layout_empyt_no_data"
                    android:id="@+id/in_empty"
                    android:layout_above="@+id/ll_btn"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    />

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:id="@+id/rx_data"
                    android:visibility="gone">
                    <androidx.recyclerview.widget.RecyclerView
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:id="@+id/recycler"
                        android:layout_above="@+id/tv_count"/>
                    <TextView
                        android:id="@+id/tv_count"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textSize="@dimen/sp_12"
                        android:textColor="@color/col_333"
                        tools:text="2/5"
                        android:layout_alignParentBottom="true"
                        android:layout_centerHorizontal="true"
                        android:layout_marginBottom="@dimen/dp_12"/>

                </RelativeLayout>



            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:id="@+id/ll_setting"
                android:orientation="vertical"
                android:layout_above="@+id/ll_btn"
                android:visibility="gone">
                <include layout="@layout/layout_ele_fence_setting"
                    android:id="@+id/cl_setting"
                   />
            </LinearLayout>



            <LinearLayout
                android:id="@+id/ll_btn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:layout_marginLeft="@dimen/dp_12"
                android:layout_marginRight="@dimen/dp_12"
                android:layout_marginBottom="@dimen/dp_20"
                android:layout_above="@+id/recycler"
                android:layout_alignParentBottom="true">

                <com.ruffian.library.widget.RTextView
                    android:id="@+id/tv_cancel"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_42"
                    android:layout_weight="1"
                    app:corner_radius="@dimen/dp_12"
                    app:background_normal="@color/col_eee"
                    android:text="删除"
                    android:visibility="gone"
                    android:textSize="@dimen/sp_16"
                    android:layout_marginRight="@dimen/dp_11"
                    android:gravity="center"
                    android:textColor="@color/col_333"/>
                <com.ruffian.library.widget.RTextView
                    android:id="@+id/tv_confirm"
                    android:layout_width="0dp"
                    android:layout_height="@dimen/dp_42"
                    android:layout_weight="1"
                    app:corner_radius="@dimen/dp_12"
                    app:background_normal="@color/col_02c"
                    android:text="点击设置"
                    android:textSize="@dimen/sp_16"
                    android:gravity="center"
                    android:textColor="@color/white"/>
            </LinearLayout>

        </com.ruffian.library.widget.RRelativeLayout>




</LinearLayout>